### Function

# GObject BindingTransformFunc

since: 2.26

#### Declaration

    gboolean
    (* GBindingTransformFunc) (
      GBinding* binding,
      const GValue* from_value,
      GValue* to_value,
      gpointer user_data
    )

#### Description [src]

A function to be called to transform `from_value` to `to_value`.

If this is the `transform_to` function of a binding, then `from_value` is the `source_property` on the `source` object, and `to_value` is the `target_property` on the `target` object. If this is the `transform_from` function of a `G_BINDING_BIDIRECTIONAL` binding, then those roles are reversed.

Available since: 2.26

#### Parameters

`binding`

  Type: `GBinding`

  A `GBinding`.

  The data is owned by the caller of the function.

`from_value`

  Type: `GValue`

  The `GValue` containing the value to transform.

  The data is owned by the caller of the function.

`to_value`

  Type: `GValue`

  The `GValue` in which to store the transformed value.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  Data passed to the transform function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the transformation was successful, and `FALSE` otherwise.